[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#2828: PATCH] check dev/inode before removing old files on upgrade

On Wed, Oct 13, 1999 at 05:59:04PM +0200, Wichert Akkerman wrote:
> We also have to realize that people may be using an older dpkg, so relying
> on this fix is not an option.

Hmm.. I guess dpkg isn't smart enough to deal properly with the case
where there's a Pre-Depends: on dpkg?

How about this, as a kludge: at the tail end of dpkg's postinst, check
for a currently running version of dpkg with that multiple-ref handling
bug -- if it's running, clean up the db a little then kill that dpkg.


Reply to: